package com.monnit.mine.SampleMineApplication;

import java.util.List;

import com.monnit.mine.MonnitMineAPI.Gateway;
import com.monnit.mine.MonnitMineAPI.SensorMessage;
import com.monnit.mine.MonnitMineAPI.iSensorMessageHandler;

public class SensorMessageHandler implements iSensorMessageHandler {

	@Override
	public void ProcessSensorMessages(List<SensorMessage> sensorMessageList, Gateway gateway) throws Exception {
		for(SensorMessage msg : sensorMessageList) {
			if(msg.getSensorID() == 289 || msg.getSensorID() == 244 || msg.getSensorID() == 53125) {
				continue;
			}
			if(msg.getSensorID() == 811 && msg.getState() == 2) {
				GUIListenerFunctions.print("GatewayAutoConfigTime: "+gateway.getAutoConfigTime());
			}
			GUIListenerFunctions.print(msg.toString());
		}
	}

}
