from sys import argv
from glob import glob
import re

def glal():
	return glob("*.cs")

def convert(infile):
	using = re.compile('.?.?.?using.*')
	namespace = re.compile('namespace.*')

	with open(infile, 'r') as f:
		lines = f.readlines()

	outfile = infile[:-2]+"java"
	
	with open(outfile, 'w') as out:
		for line in lines:
			if line.isspace():
					continue
			line = line.replace(":", "extends")
			line = line.replace(" { get { return ", " = ")
			line = line.replace("; } }", ";")
			line = line.replace("#region Defaults", "")
			line = line.replace("#endregion", "")
			line = line.replace("static new ", "static ")
			line = line.replace("\r", "")
			line = line.replace("\n", "")
			if using.match(line) or namespace.match(line):
				continue
			line = line[4:]
			print line
			out.write(line+"\n")

for file in glal():
		convert(file)